OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.ReadCopyPixels

Contents

- Reading Pixels
- Copying Pixels
- Copying Pixels for framebuffers

Description

This module corresponds to section 4.3 (Drawing, Reading, and Copying Pixels) of the OpenGL 2.1 specs.

Synopsis

- readPixels :: Position -> Size -> PixelData a -> IO ()
- readBuffer :: StateVar BufferMode
- data PixelCopyType
  - = CopyColor
  - | CopyDepth
  - | CopyStencil
- copyPixels :: Position -> Size -> PixelCopyType -> IO ()
- data BlitFramebufferMask
  - = BlitColorBuffer
  - | BlitStencilBuffer
  - | BlitDepthBuffer
- blitFramebuffer :: Position -> Position -> Position -> Position -> [BlitFramebufferMask] -> TextureFilter -> IO ()

# Reading Pixels

readPixels :: Position -> Size -> PixelData a -> IO ()Source

readBuffer :: StateVar BufferMode Source

# Copying Pixels

data PixelCopyType Source

Constructors

CopyColor |
CopyDepth |
CopyStencil |

Instances

Eq PixelCopyType |
Ord PixelCopyType |
Show PixelCopyType |

copyPixels :: Position -> Size -> PixelCopyType -> IO ()Source

# Copying Pixels for framebuffers

data BlitFramebufferMask Source

Constructors

BlitColorBuffer |
BlitStencilBuffer |
BlitDepthBuffer |

blitFramebuffer :: Position -> Position -> Position -> Position -> [BlitFramebufferMask] -> TextureFilter -> IO ()Source